# Set Shipping Methods

Apply shipping methods to a cart given its `cart_id`.

{% hint style="info" %}
Since each merchant has different shipping methods, a shipping method that corresponds to each bag will be required to be applied. The `bag_id` and `shipping_method` in the body of the request must match a valid shipping method provided by the respective merchant.
{% endhint %}

{% hint style="info" %}
This endpoint will always return a priced cart. That is to say the order totals will be calculated.
{% endhint %}

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/checkout/cart/{cart\_id}/shipping" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-b77a2b241ffb937bc7e7164b2dd2c53cb538ac3c%2Forder-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-shipping/set-shipping-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
